/*
Nome: Mario
Cognome: Montanari
*/

#include <iostream>

using namespace std;

typedef struct {
	int n1;
	int n2;
} n;

n calcSum(int n1, int n2);
n calcDiff(int n1, int n2);

int main(void) {
	int n1 = 2, n2 = 3;
	n resultSum = calcSum(n1, n2);
	n resultDiff = calcDiff(n1, n2);

	
	cout << "First number: " << n1 << endl;
	cout << "Second number: " << n2 << endl << endl;
	
	cout << "Sum of the number: " << resultSum.n1 + resultSum.n2 << endl;
	cout << "Difference of the number: " << resultDiff.n1 - resultDiff.n2 << endl;
	
	calcSum(n1, n2);
	calcDiff(n1, n2);
	
	return 0;
}

n calcSum(int n1, int n2) {
	n resultSum;
	resultSum.n1 = n1;
	resultSum.n2 = n2;
	return {resultSum.n1 + resultSum.n2};
}

n calcDiff(int n1, int n2) {
	n resultDiff;
	resultDiff.n1 = n1;
	resultDiff.n2 = n2;
	return {resultDiff.n1 - resultDiff.n2};
}